    import MasterEndpoint from 'kayn/lib/Endpoints/LeagueEndpoint/MasterEndpoint.js'

public class | source

# MasterEndpoint

#### Extends:

Endpoint~Endpoint → LeagueSuperclass → MasterEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | list(queueName: string): * Get the master league for given queue. |

## Inherited Summary

From class LeagueSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

LeagueSuperclass#constructor

## Public Members

### public config: * source

### public limiter: * source

## Public Methods

### public list(queueName: string): * source

Get the master league for given queue.

Implements GET `/lol/league/v3/masterleagues/by-queue/{queue}`.

#### Params:

Name | Type | Attribute | Description
queueName | string |  | The type of queue (e.g. 'RANKED_SOLO_5x5').

#### Return:

*